# Class GetVersionReply

#### Hierarchy

- unknown
  - GetVersionReply

- Defined in src/protobuf/grpc_pb.d.ts:56
- Defined in src/protobuf/grpc_pb.d.ts:68

#####
Index

### Constructors

constructor

### Methods

getVersion
serializeBinary
setVersion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetVersionReply(): GetVersionReply

- #### Returns GetVersionReply

  Inherited from jspb.Message.constructor

## Methods

### getVersion

- getVersion(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:57

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:60

### setVersion

- setVersion(value: string): GetVersionReply

- #### Parameters

  - ##### value: string

  #### Returns GetVersionReply

  - Defined in src/protobuf/grpc_pb.d.ts:58

### toObject

- toObject(includeInstance?: boolean): GetVersionReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetVersionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:61

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetVersionReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetVersionReply

  - Defined in src/protobuf/grpc_pb.d.ts:64

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetVersionReply, reader: BinaryReader): GetVersionReply

- #### Parameters

  - ##### message: GetVersionReply

  - ##### reader: BinaryReader

  #### Returns GetVersionReply

  - Defined in src/protobuf/grpc_pb.d.ts:65

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetVersionReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetVersionReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:63

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetVersionReply): GetVersionReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetVersionReply

  #### Returns GetVersionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:62

Generated using TypeDoc